---
title: Resize Block Storage
url: https://docs.vultr.com/products/storage/block-storage/management/resize-block-storage
description: Learn how to increase the capacity of your Vultr Block Storage volume to accommodate growing data needs.
publish_date: 2024-09-23T20:20:36.030053Z
last_updated: 2026-05-26T19:42:20.501912Z
---

# How to Resize Vultr Block Storage Volume

Resizing a Vultr Block Storage volume allows you to scale up your storage needs when your data grows. For instance, you can scale the storage size from **80 GB** to **160 GB** to create more room for business assets like databases, images, audio, and video. You can't shrink a Vultr Block Storage volume to a smaller size unless you create a new instance and copy over the files.

Resizing a Block Storage volume involves two steps:

1. **Resize the volume** using the Vultr Console, API, CLI, or Terraform.
1. **Expand the filesystem** on the attached instance to use the new space.

## Resize the Volume

Follow this guide to resize a Vultr Block Storage volume using the Vultr Console, API, CLI or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and select **Cloud Storage**.
    1. Click **Block Storage**. Then, select the target Vultr Block Storage volume.
    1. Click the current storage size. For instance, `80 GB`.
    1. Enter a new size in GB. For instance, `160`. Type **YES** to confirm and click **Continue**.

=== "Vultr API"

    1. Send a `GET` request to the [**List Block Storages** endpoint](https://www.vultr.com/api/#tag/block/operation/list-blocks) and note the Vultr Block Storage volume ID.

        ```console
        $ curl "https://api.vultr.com/v2/blocks" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `PATCH` request to the [**Update Block Storage** endpoint](https://www.vultr.com/api/#tag/block/operation/update-block), specify a Vultr Block storage volume ID, and a new size in GB.

        ```console
        $ curl "https://api.vultr.com/v2/blocks/block_storage_id" \
            -X PATCH \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{       
                "size_gb": 160
            }'
        ```

        Visit the [**Update Block Storage** endpoint](https://www.vultr.com/api/#tag/block/operation/update-block) to view additional attributes to add to your request.

=== "Vultr CLI"

    1. List all Vultr Block Storage volumes and note the ID. For instance, `6856bb78-e67b-416c-8fc1-2473c66fa016`.

        ```console
        $ vultr-cli block-storage list
        ```

    1. Specify a Vultr Block Storage volume ID and the new storage size in GB.

        ```console
        $ vultr-cli block-storage resize block_storage_id \
        --size=160
        ```
    
        Run `vultr-cli block-storage resize --help` to view all options.

=== "Terraform"

    1. Open your Terraform configuration for the existing Block Storage resource.

    1. Update the `size_gb` argument with the new volume size.

        ```terraform
        resource "vultr_block" "remote_block_storage" {
            label      = "Remote-Block-Storage"
            region     = "ewr"
            block_type = "high_perf"
            size_gb    = 160  # Updated size
        }
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 1 changed, 0 destroyed.
        ```

===


## Expand the Filesystem

After resizing the volume, you must expand the filesystem on the attached instance to use the additional space.

1. Connect to your instance via SSH.

1. Verify the block storage device path. For example, `/dev/vdb`.

    ```console
    $ lsblk
    ```

1. If the block storage uses a partition (for example, `/dev/vdb1`), expand the partition using `growpart`.

    ```console
    $ sudo growpart /dev/vdb 1
    ```

1. Resize the filesystem based on the filesystem type.

    * For **ext4** filesystems:

        ```console
        $ sudo resize2fs /dev/vdb1
        ```

    * For **XFS** filesystems:

        ```console
        $ sudo xfs_growfs /mount/point
        ```

1. Verify the new size is available.

    ```console
    $ df -h
    ```
